#include "JsonLogic.h"

namespace json_logic
{
    Json JsonLogic::operation_logic_or(JsonArrayView values, JsonView data) const
    {
        for (JsonView value : values)
        {
            const Json applied = ApplyInternal(value, data);
            if (HasError()) return Json{};
            if (Truthy(applied)) return MakeBoolean(true);
        }
        return MakeBoolean(false);
    }
}
